package com.dhcc.finance.main.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.dhcc.finance.main.domain.CwHsOutcwZqxx;
import com.dhcc.finance.main.domain.CwHsOutcwZqxxExample;
import com.dhcc.finance.main.model.CwHsOutcwZqxxWeb;

public interface CwHsOutcwZqxxMapper {
    long countByExample(CwHsOutcwZqxxExample example);

    int deleteByExample(CwHsOutcwZqxxExample example);

    int deleteByPrimaryKey(Integer lZqnm);

    int insert(CwHsOutcwZqxx record);

    int insertSelective(CwHsOutcwZqxx record);

    List<CwHsOutcwZqxx> selectByExample(CwHsOutcwZqxxExample example);

    CwHsOutcwZqxx selectByPrimaryKey(Integer lZqnm);

    int updateByExampleSelective(@Param("record") CwHsOutcwZqxx record, @Param("example") CwHsOutcwZqxxExample example);

    int updateByExample(@Param("record") CwHsOutcwZqxx record, @Param("example") CwHsOutcwZqxxExample example);

    int updateByPrimaryKeySelective(CwHsOutcwZqxx record);

    int updateByPrimaryKey(CwHsOutcwZqxx record);
    
    /**
     * 功能描述：批量插入
     * @param cwHsOutcwZqxxList
     * @return int
     * @author dml
     * @date 2019年10月16日 下午5:08:51
     * @修改日志：
     */
    int insertBeatch(List<CwHsOutcwZqxx> list);
    /**
     * 功能描述
     *@return List<CwHsOutcwZqxx>
     *@author huangpeng
     *@date 2019年12月5日 下午7:56:36
     *修改日志:
     */
    List<CwHsOutcwZqxxWeb> selectCwHsOutcwZqxxForJC();
    /**
     * 功能描述：清空表
     * @return int
     * @author dml
     * @date 2020年1月6日 下午6:42:28
     * @修改日志：
     */
    int deleteCwHsOutcwZqxx();
    /**
     * 功能描述：查询证券内码
     * @return String
     * @author likai
     * @date 2020年7月22日 下午5:38:22
     * @修改日志：
     */
    String selectZqnmInfo();
}